LOOK(1) | General Commands Manual | LOOK(1)

# NAME

`look` —
display lines beginning with a given string

# SYNOPSIS

`look` | [`-df`] [`-t` termchar] string [file]

# DESCRIPTION

The `look` utility displays any lines in file which contain string as a prefix. As `look` performs a binary search, the lines in file must be sorted.

If file is not specified, the file /usr/share/dict/words is used, only alphanumeric characters are compared and the case of alphabetic characters is ignored.

Options:

`-d`
  Dictionary character set and order, i.e. only alphanumeric characters are compared.
`-f`
  Ignore the case of alphabetic characters.
`-t`
  Specify a string termination character, i.e. only the characters in string up to and including the first occurrence of termchar are compared.

The `look` utility exits 0 if one or more lines were found and displayed, 1 if no lines were found, and >1 if an error occurred.

# FILES

/usr/share/dict/words
  the dictionary

# COMPATIBILITY

The original manual page stated that tabs and blank characters participated in comparisons when the `-d` option was specified. This was incorrect and the current man page matches the historic implementation.

# SEE ALSO

grep(1), sort(1)

# HISTORY

`look` appeared in Version 7 AT&T UNIX.

June 14, 1993 | NetBSD 10.1